package com.kmall.admin.service.impl.mk.dist;

import com.kmall.admin.dao.mk.dist.MkDistSellAllocationHistoryDao;
import com.kmall.admin.entity.mk.dist.MkDistSellAllocationHistoryEntity;
import com.kmall.admin.service.mk.dist.MkDistSellAllocationHistoryService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;
import java.util.Map;

/**
 * 渠道销售分配，分销商针对某个商品sku的销售分配Service实现类
 *
 * @author huangyq
 * @email admin@qhdswl.com
 * @date 2019-04-15 13:55:16
 */
@Service("mkDistSellAllocationHistoryService")
public class MkDistSellAllocationHistoryServiceImpl implements MkDistSellAllocationHistoryService {
    @Autowired
    private MkDistSellAllocationHistoryDao mkDistSellAllocationHistoryDao;

    @Override
    public MkDistSellAllocationHistoryEntity queryObject(Integer sellAllocHistoryId) {
        return mkDistSellAllocationHistoryDao.queryObject(sellAllocHistoryId);
    }

    @Override
    public List<MkDistSellAllocationHistoryEntity> queryList(Map<String, Object> map) {
        return mkDistSellAllocationHistoryDao.queryList(map);
    }

    @Override
    public int queryTotal(Map<String, Object> map) {
        return mkDistSellAllocationHistoryDao.queryTotal(map);
    }

    @Override
    public int save(MkDistSellAllocationHistoryEntity mkDistSellAllocationHistory) {
        return mkDistSellAllocationHistoryDao.save(mkDistSellAllocationHistory);
    }

    @Override
    public int update(MkDistSellAllocationHistoryEntity mkDistSellAllocationHistory) {
        return mkDistSellAllocationHistoryDao.update(mkDistSellAllocationHistory);
    }

    @Override
    public int delete(Integer sellAllocHistoryId) {
        return mkDistSellAllocationHistoryDao.delete(sellAllocHistoryId);
    }

    @Override
    public int deleteBatch(Integer[]sellAllocHistoryIds) {
        return mkDistSellAllocationHistoryDao.deleteBatch(sellAllocHistoryIds);
    }
}
